<?php
// $Id: used_modules.admin.inc,v 1.1.2.1 2009/01/11 21:42:17 narno Exp $

/**
 * @file
 * Admin page callbacks for the used_modules module.
 */

/**
 * Administration settings form.
 *
 * @see system_settings_form()
 */
function used_modules_admin_settings() {
  $form = array();

  $form['used_modules_page_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#default_value' => variable_get('used_modules_page_title', 'Used modules'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['used_modules_page_description'] = array(
    '#type' => 'textarea',
    '#title' => t('Page description'),
    '#default_value' => variable_get('used_modules_page_description', 'List of modules are used on my website.'),
    '#cols' => 72,
    '#rows' => 3
  );
  $form['used_modules_page_display_description'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display modules description'),
    '#default_value' => variable_get('used_modules_page_display_description', TRUE)
  );
  $form['used_modules_page_display_version'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display modules version'),
    '#default_value' => variable_get('used_modules_page_display_version', FALSE)
  );

  return system_settings_form($form);
}
